-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
local ModName, Sequences = ...
local GSE = GSE
---- PRINT MISSING GSE
	if GSE == nil then
	print("Addon requires GSE3. You can get it from Curseforge @https://www.curseforge.com/wow/addons/gse-gnome-sequencer-enhanced-advanced-macros")
	return;
	end
local L = GSE.L
local Statics = GSE.Static
local GSEPlugin = LibStub("AceAddon-3.0"):NewAddon(ModName, "AceEvent-3.0")
-----------------------------------------------------------------------------

if GSE.isEmpty(Sequences) then
  local Sequences = {}
end

-----------------------------------------------------------------------------

---- Put the macros here [[MACRO HERE]]
---- We are storing more detail to give more control.
---- To find the ClassID - /gse showspec will tell you what the ClassID and SpecID is for your character

Sequences["EA_VDH_OB"] = {
    ["Macro"] = [[dSuOiaqisPQgfsvQtrkvmlb6wuPWUqQIFjGHjIJrvwgfEgszAIKRrvPTjQOVPsPXPsX5iLY6ev18iLkDpvQ6FIknqrfoiPyHirpKQQMifXffP2ivQ6Jiv1ircoPkYkjL8sPOzsvr3uuLDc4NuvyOijhfPkzPivEQstLuDvQuzRQu5RuPO3QcURuyVq)LkLgSIdRQfRc9yqMmf1LrTzKuFwf1OfLtd0RPsMTuDBvYUr8BknCbDCKqlxONtY0LCDP02Pi9DQQCEQy9KsvMpO2pXOhQJaE4MwJBVZek4wFqjcyG64Q)DMukCZnyUbZnyUbZnyUbZfxnTvMnIR7iUiw)iYOPTYSrCP)M(ooQaTeeGMxscUPjuBJqS)2RWV(JGDWYbPexF(QYDHM)InJRrIbTepAjEPsssOHRUp8hb0wIrYT4M3dfTkuhb8qDCV7JG)XoRqDCBYo0XD(vmQJaE4ga6vLIPyltGyzoqSqzpHWDqY5gYiJmrwX191hpZLmYONfT(jd97pOPCqziT9ocyGBaOxvYC4YAoFvgi1vqzYry)D4ydzorOMJKVlZwrqxmcqd3aqVQK5WL1C(FVAitEC9x2yyMvbQWc3MSdvrwPqDeWd3a1hpZft4lhzoqSzF8QXbZ8BUbcyGBaOxvkMITmbIL5aXcL9ec3bjNBiJmYezfx3xF8mxYiJEw06Nm0V)GMYbLH027ianCda9QsMdxwZ5RYaPUcktoc7VdhBiZjc1CK8Dz2kc6IrGu4ga6vLmhUSMZ)7vdzYJR)YgdZSkqfwyHRgOc0suOoc4H6iGhUcSa3KDOkYkLalWiGbUbGEvjZbIfk7jeUdso3qgAPsDJVAdbOHRalWnzh64o)kwGfyCprkoA63radC1DczCPJd5VWcbmqDeWdxbwGBYoufzLsGfyeWa3aqVQumfBzcelZbi71XVcsSqzpHWDqY5gYiJmrwX19q2RJFjJmg(EJ2msckJrcTBnsqaA4kWcCt2HoUZVIfybg3tKIJM(DeifU6oHmU0XH8xyHa0qDeWdxbwGBYoufzLsGfyeWa3aqVQK5aXcL9ec3bjNBiJHNrYnPqaA4kWcCt2HoUZVIfybg3tKIJM(DeWlbxDNqgx64q(lSqGuOoc4H6iGhUcSa3KDOkYkLalWiGbUbGEvPyk2YeiwMdq2RJFfKyHYEcH7GKZnKrgzISIR7HSxh)sgzmsDBkFtfugAPsDtonqaA4kWcCt2HoUZVIfybgxDNqgxnqfOLGfcyG6iGhUcSa3KDOkYkLalWiGbUbGEvPyk2YeiwMdelu2tiChKCUHmYitKvCDF9XZCjJmgjPsm8ckJrYTPsUfbOHRalWnzh64o)kwGfyC1DczC1avGwcwianuhb8WvGf4MSdvrwPeybgbmWna0RkftXwMaXYCGyHYEcH7GKZnKrgzISIR7HSxh)sgzmss5R2Yzqzmsm8ODlcqdxbwGBYo0XD(vSalW4Q7eY4QbQaTeSWv3jKX1NwBiU0XH8xiGbUBXHUVLavGwcUufbTrWYblSW9e5ylyVU7JG)XoRqDC93ED8lKsC1JGexC5HuIREeK4IldKsSWclC3qg6KjiGNbUUj)U00gFfQJfU5X1BYxpQJlf4EyhK4c3SQcv5hiWrql90bjUcWDQD(wC1)otkfUu6oxA8Ny6tbTi3q)LktYzf(mK2JkDk1qV0Y)DttjqAT0OvpTR0LjP1ADLEtwqxP1kBDLwJgnA0GBAc12ie7V9k8R)iyhSCqkXv3h(JaEjjjj(IRM2kZgXnDNANVfx)7VsDYeeWZa38Es73prkoAktkqlbPe3tqwcU4c8xmUP1427mHcU1huIRjm1FBVqapC95Rk3fA(l2mUgjgEj0mOLK455RhUuG7H4AQh94jtEVzwMCy4BYLs0APWj3RNVBiJ7TrzorOMJKVlZwrqxSm5iS)oCu0sJp1Z3nKX92Om5X1FzJHzwfOs0s0spdujZ1dfTYaQKXmBge6l2SmLvMlhzE)yL9ILHQVISLOKr7stg6TJTvgxeRFY4xMvghBRmFK1oY4hyLzBlzQmgmkdKLuGKw2SmQ2WqBSKPYyflZ1dfTkz8Z22nlZrwMlRQKPL0bDXDh6rM1kZlJkZ2wYyBlzkRmpXSmxoYWfhjFxMk7jUuYWpuMmpXSmSPC0rgfi5CNLXsyzSultLXxAFC3qg6KjiGV34HRBYVlnTXxH6yHl9303XrfOLGa08m0gwyHfIa]],
    ["SpecID"] = 581,
    ["ClassID"] = 12
}
Sequences["EA_HDH_OB"] = {
    ["Macro"] = [[dO09haqisHQrjsLofPqAwIIBrkL2Lsq)sKmmq5yK0Yivpdetds5AIsBta(gPunor05ifTosbZJuiUhPu8prWafPIdIIwOsYdfqtes1fbv2ivs9rLqgjvQoPs0kjL8sQWmPsYnbPStP8tQegQsQLsf9ujtfLUQsO2kivFvKQERsP7cs2RQ)sLObJ0HbwSsXJHQjlqxMyZIqFgu1OfvNgkVgfMne3gs2nIFtvdxqhxjWYLQNJQPR46kvBNkLVls58Ky9KcL5l0(P8vp7BQVGJPlDhD3DPlw9M(zFXcqeYWFLqMeYKqMeYKqMeYKWlM7tUV)AXegeFAeJYCFY99xlQGd6sNJ5jVbrfw2xWrs03XLa9Ocbdydgc2O8vVCfGplomiyKGV0HPdbMQQMQzvHKfYlwxe4BActhM2FbnaE3Zp7BQN9f0bDmWgeHF2xoefNcIa4YzFt9vkCaFm6wCpQnGjdXJNdiebbJapugDfYE)ZlhIY6UW5N9n1xPgqhEzeIGsXOBj(CqhfuBdkGGq9M(Ru4a(y0TO8b1aazGYOOd6micN)gKxPWb8XOBr5dQbEowItM0jebOiDOmk0KbGY3dZ9Cm(NpVyIpyEc)SVPE23uFzrl6quw3fo3Iw8n9xPWb8Hllyxi4Ir3s845acrqWiWdLrnQr7cxgTb3JAdymQrvtMenn1mJrvtMvvhYBqEzrl6quCkicGlw0IVwsgP7ga5n9xSkHYlNsOaMpVPF23uFzrl6quw3fo3Iw8n9xPWb8XOBjE8CaHiiye4HYO6ztQPoS3G8YIw0HO4uqeaxSOfFTKms3naYBzFXQekVCkHcy(8gKZ(M6llArhIY6UW5w0IVP)kfoGpgDlXJNdiebbJapugvhIEsnH8gKxw0IoefNcIa4IfT4RLKr6UbqEdYlwLq5LtjuaZN3q7SVPE23uFzrl6quw3fo3Iw8n9xPWb8Hllyxi4Ir3I7rTbmziE8CaHiiye4HYOg1ODHlJ2G7rTbmg1O6ztMmayzmQQMjHPc5niVSOfDikofebWflAXxSkHYlM4dMN85n9Z(M6llArhIY6UW5w0IVP)kfoGpgDlXJNdiebbJapugfcAOLma93G8YIw0HO4uqeaxSOfFXQekVyIpyEYN3GC23uFzrl6quw3fo3Iw8n9xPWb8XOBjE8CaHiiye4HYOqqdTKbO)gKxw0IoefNcIa4IfT4lwLq5ft8bZt(8IvjuE5kVp8LtjuaZB6VQrcD9obFW8Kxof3Koxw3X8DSr5ZBzp7BQVSOfDikR7cNBrl(M(Ru4a(WLfSleCXOBjE8CaHiiye4HYO6WqlRMbKXO6W0EajrlJr1HHwwnd4niVSOfDikofebWflAXxljJ0DdG8MkSxSkHYlNsOaMpFETKSzhdzGoOJb2Gi8Z(kqpQnG5REX2XimKr9REX2XimKr)R(85ZRkuWxI(BQ6VsVayWCVd4N9ZlOjdaDWao7l3fKqemcJx5ZeY1qQuBW8lebJWiLGKOcy)flarid)1k4yWmqIBa31IKCr1A0dycbcUgBnBodgWPvP1YHbCoXG5WjtMmzYKjtyvL2kgbQLtTyWGr6l4HB5Qxqdq2biljJ0DtidMN8vVyUp5((l4qsubS)ArfCqx6Cmp5niQ6jFbhjrFhxc0JkemGnyiyJYx9k9cGbZ9oGF2pVqxseSJmVP(YDbj8f0vxOQrHgiOy00rplmuCtlMUIvdARrDTVBu0bDgeHZnTk3x6AwnOTg11(UrHMmau(EyUNJXnTmTyZX4gffaV7nkg3ObLGy4GrcA0XBuukgfKMW9OeJUgmDXt4gvJaXOPRIF3Omi(0mAA5EJQ43nkOlAuJMg2K73hJo5cw3O4EYGr2LGgLVhg67JrNCHlgffaV75gnn)osqJUrmkkpFm6obbJHGOSqJwEJcmkp3Vpg1VpgD8gfqcAuukgvgPtaigDYbegCJka8CJcibnQ4M0vmkhJapIyuprmQprJo5ckn(RgaL8coMU0D0D3LUy1lxb4ZIddcgj4lDy6QWuHHMAsybOd5vfk4lr)TSAx7VyDrGVPcdgmyzFficGZxI(BQ6F(85ha]],
    ["SpecID"] = 577,
    ["ClassID"] = 12
}

-----------------------------------------------------------------------------

---- Because we know the names earlier we can dynamically figure out the names.
local macroNames = {}
-- For each k ("MACRO NAME") and v (the macro string and classid) do this loop
for k,v in pairs(Sequences) do
---- Add the name to the list of macroNames
    table.insert(macroNames, k)
end

-----------------------------------------------------------------------------

local function loadSequences(event, arg)
  if arg == ModName then
---- Force overwrite of macros ignoring the players merge preference
    for k,v in pairs(Sequences) do
        local localsuccess, uncompressedVersion = GSE.DecodeMessage(v.Macro)
        GSE.ReplaceMacro(v.ClassID, k, uncompressedVersion[2])
    end


---- Tell GSE to reload the new stuff
    GSE.PerformReloadSequences()


---- Print Success Message
    GSE.Print("Hello, " .. UnitName("player") .. " " .. UnitLevel("player") .. "  - Elfyau's awesome Macro Set has been loaded.", ModName)
  end
end


if GSE.RegisterAddon(ModName, GetAddOnMetadata(ModName, "Version"), macroNames) then
  loadSequences("Load", ModName)
end

GSEPlugin:RegisterMessage(Statics.ReloadMessage,  loadSequences)
